Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.blocks
Class Attributes

    java.lang.Object
      de.grogra.graph.Attributes
          de.grogra.blocks.Attributes

    public class Attributes

extends Attributes

Field Summary
`static ObjectAttribute` | `DENSITY`
`static ObjectAttribute` | `DENSITY_FLOAT`
`static ObjectAttribute` | `HEIGHT`
`static ObjectAttribute` | `HEIGHT_FLOAT`
`static I18NBundle` | `I18N`
`static ObjectAttribute` | `ID`
`static ObjectAttribute` | `ID_TUPLE2F`
`static ObjectAttribute` | `LOCATIONPARAMETER`
`static ObjectAttribute` | `NUMBER`
`static ObjectAttribute` | `NUMBER_INT`
`static ObjectAttribute` | `NUTRIENTS_TUPLE3F`
`static ObjectAttribute` | `TREE_TUPLE3F`
`static ObjectAttribute` | `TREEVALUES`

Fields inherited from class de.grogra.graph.Attributes
`LAYER, LAYER_COUNT, NAME, USER_FIELDS, WEIGHT`

Constructor Summary
`Attributes()`

Method Summary

Methods inherited from class de.grogra.graph.Attributes
`init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DENSITY

    public static final ObjectAttribute DENSITY

### DENSITY_FLOAT

    public static final ObjectAttribute DENSITY_FLOAT

### HEIGHT

    public static final ObjectAttribute HEIGHT

### HEIGHT_FLOAT

    public static final ObjectAttribute HEIGHT_FLOAT

### I18N

    public static final I18NBundle I18N

### ID

    public static final ObjectAttribute ID

### ID_TUPLE2F

    public static final ObjectAttribute ID_TUPLE2F

### LOCATIONPARAMETER

    public static final ObjectAttribute LOCATIONPARAMETER

### NUMBER

    public static final ObjectAttribute NUMBER

### NUMBER_INT

    public static final ObjectAttribute NUMBER_INT

### NUTRIENTS_TUPLE3F

    public static final ObjectAttribute NUTRIENTS_TUPLE3F

### TREE_TUPLE3F

    public static final ObjectAttribute TREE_TUPLE3F

### TREEVALUES

    public static final ObjectAttribute TREEVALUES

Constructor Detail

### Attributes

    public Attributes()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD